%global modname mkdocs-material

Name:           python-%{modname}
Version:        9.5.44
Release:        1%{?dist}.1
Summary:        Material for MkDocs
License:        MIT
URL:            https://github.com/squidfunk/mkdocs-material
Source0:        %{url}/archive/%{version}/%{modname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Write your documentation in Markdown and create a professional static site
for your Open Source or commercial project in minutes – searchable,
customizable, more than 60 languages, for all devices.}

%description %_description

%package -n python3-%{modname}
Summary:        %{summary}

%description -n python3-%{modname} %_description

%prep
%autosetup -p1 -n %{modname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files -l material


%check
%tox


%files -n python3-%{modname} -f %{pyproject_files}
%doc README.md CONTRIBUTING.md CODE_OF_CONDUCT.md CHANGELOG
%license LICENSE
%changelog
* Thu Nov 14 2024 Oleg Girko <ol@infoserver.lv> - 9.5.44-1
- Initial package
